Vmware & ASP10

Автор: blackgr Дата: 07.02.2005 21:20 VMware не ставиться на ASP10.
Вот что пишет при установке

Using 2.6.x kernel build system.
make: Entering directory /tmp/vmware-config4/vmmon-only'
make -C /lib/modules/2.6.9-1.667asp/build/include/.. SUBDIRS=$PWD
SRCROOT=$PWD/. modules
make[1]: Entering directory /lib/modules/2.6.9-1.667asp/build'
CC [M] /tmp/vmware-config4/vmmon-only/linux/driver.o
/tmp/vmware-config4/vmmon-only/linux/driver.c:131: warning: initialization
from incompatible pointer type
/tmp/vmware-config4/vmmon-only/linux/driver.c:135: warning: initialization
from incompatible pointer type
CC [M] /tmp/vmware-config4/vmmon-only/linux/hostif.o
/tmp/vmware-config4/vmmon-only/linux/hostif.c: In function
HostIF_FreeLockedPages':
/tmp/vmware-config4/vmmon-only/linux/hostif.c:738: error: structure has no
member named count'
/tmp/vmware-config4/vmmon-only/linux/hostif.c:740: error: structure has no
member named count'
make[2]: *** [/tmp/vmware-config4/vmmon-only/linux/hostif.o] пЫЙВЛБ 1
make[1]: *** [_module_/tmp/vmware-config4/vmmon-only] пЫЙВЛБ 2
make[1]: Leaving directory /lib/modules/2.6.9-1.667asp/build'
make: *** [vmmon.ko] пЫЙВЛБ 2
make: Leaving directory /tmp/vmware-config4/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "[www.vmware.com];
and
"[www.vmware.com];.

Execution aborted.


Подскажите, как решить траблу?

Спасибо.
Re: vmware & ASP10 09.02.2005 16:58BaZilio Хм...
У меня vmware-4.5.2-8848 и ASP10
Стала нормально, и модуль собрался нормально...
Только серийники не подходит, уже массу разных пробовал Грустный Кто подскажет - буду признателен.
Re: vmware & ASP10 09.02.2005 21:12KoT BaZilio писал(а):

> Хм...
> У меня vmware-4.5.2-8848 и ASP10
> Стала нормально, и модуль собрался нормально...
> Только серийники не подходит, уже массу разных пробовал Грустный Кто
> подскажет - буду признателен.
>

[www.vmware.com]
Здесь можно сделать легальный триал Улыбка
Re: vmware & ASP10 04.03.2005 17:43grey L95PT-DRW4F-R0H6L-4KNJN
надеюсь подойд'т
Re: vmware & ASP10 04.04.2005 19:24grey L95PT-DRW4F-R0H6L-4KNJN
уменя тот же
пашет без проблем 6 месяцев Vmware 4.5.1 build 7568
дома на том же SN 4.5.2... работает...
Re: vmware & ASP10 17.04.2005 18:18CyberPunk Только что поставил пятую Тварь. Встала без вопросов, только при загрузке ругается, что лицензия мешает жить ядру.
Re: vmware & ASP10 17.04.2005 20:02kesbyt Как впечатления от 5 вари?
Re: vmware & ASP10 19.04.2005 15:42ITadmin blackgr писал(а):

> VMware не ставиться на ASP10.
> Вот что пишет при установке

4-ка самосборная (т.е. когда нет дистрибных модулей для ядра) не ставится на ядра 2.6.х. Забей в гугле vmware 2.6 kernel, там в первых же результатах будет статья с патчем для Твари, после которого все замечатльно работает
Re: vmware & ASP10 20.04.2005 07:39Genie > 4-ка самосборная (т.е. когда нет дистрибных модулей для ядра)
> не ставится на ядра 2.6.х. Забей в гугле vmware 2.6 kernel,
> там в первых же результатах будет статья с патчем для Твари,
> после которого все замечатльно работает

да нет, работает 4.0.5 на 2.6.10 ;-)
просто надо найти vmware-any-any-update*, распаковать и установить
это смые свежие модули для vmware.
понимают все последние ядра, обновляются периодически.
Re: vmware & ASP10 20.04.2005 09:26CyberPunk >Как впечатления от 5 вари?

Особых отличий от 4.5 не заметил. Работает все, кроме звука (ну это может еще нашаманю) и дисковода (по причине отсутствия такового Улыбка ). Образ от подвиндючной четвертой твари подхватила, хотя и с руганью. Теперь вот для полного счастья ищу vmware-tools для пятерки.
Re: vmware & ASP10 20.04.2005 12:13ITadmin Genie писал(а):

> да нет, работает 4.0.5 на 2.6.10 ;-)
> просто надо найти vmware-any-any-update*, распаковать и
> установить
> это смые свежие модули для vmware.
> понимают все последние ядра, обновляются периодически.

Ну это в случае стандартного ядра. При самосборном - не работает =\
Re: vmware & ASP10 20.04.2005 12:57Genie > Ну это в случае стандартного ядра.
> При самосборном - не работает =\

ага, размечтался. это, по-твоему, стандартное?
---
$ uname -a
Linux host 2.6.10-k7.badram #9 Mon Mar 7 07:43:30 NOVT 2005 i686 unknown
---
а тварь работает:
---
$ vmware -v
VMware Workstation 4.0.5 build-6030
---
установлен vmware-any-any-update89, если я номером не ошибаюсь.
ну и система: Debian Woody 3.0+backports.org
RSS-материал